Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 445390 - packages.gentoo.org is broken for EAPI=5 packages
Summary: packages.gentoo.org is broken for EAPI=5 packages
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: [OLD] gpackages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Packages Website
URL:
Whiteboard:
Keywords:
: 449330 451494 459152 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-11-30 20:38 UTC by Toralf Förster
Modified: 2014-09-03 12:08 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
screen shot (gpo.jpeg,140.33 KB, image/jpeg)
2012-11-30 20:38 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2012-11-30 20:38:37 UTC
Created attachment 331080 [details]
screen shot

see the attached screen shot
Comment 1 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2012-12-30 18:05:35 UTC
At first I thought this was due to -* in keywords, but ff-bin has similar keywords but is correct.

-A
Comment 2 Andreas K. Hüttel gentoo-dev 2013-02-18 23:44:09 UTC
Yeah, well it's not the only one.
Comment 3 Ben Kohler gentoo-dev 2013-03-07 17:16:56 UTC
*** Bug 449330 has been marked as a duplicate of this bug. ***
Comment 4 Ben Kohler gentoo-dev 2013-03-07 17:17:08 UTC
*** Bug 459152 has been marked as a duplicate of this bug. ***
Comment 5 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-03-07 20:50:45 UTC
Nothing can be done until pkgcore supports EAPI5, as packages.g.o is built on top of pkgcore.
Comment 6 kisak42 2013-08-30 17:06:51 UTC
From what I can tell, all new packages with eabi=5 are getting parsed as expected. There are many packages from the time when the parser was not working that shows inaccurately.

Would it be possible to reprocess all the ebuilds so that the ones that do not show arch info will be re-parsed?
Comment 7 jospezial 2013-12-11 23:26:46 UTC
*** Bug 451494 has been marked as a duplicate of this bug. ***
Comment 8 jospezial 2014-09-03 11:58:51 UTC
Seems to be fixed. Please close.